# -*- encoding: utf-8 -*-
# stub: sensu-plugins-druid 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-druid".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "Yurii Rochniak", "production_status" => "unstable - testing recommended" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Yurii Rochniak".freeze]
  s.date = "2018-01-13"
  s.description = "Sensu plugin to monitor Druid DB".freeze
  s.email = "yrochnyak@gmail.com".freeze
  s.executables = ["check-node-presence.rb".freeze, "check-unavailable-segments.rb".freeze]
  s.files = ["bin/check-node-presence.rb".freeze, "bin/check-unavailable-segments.rb".freeze]
  s.homepage = "https://github.com/grem11n/sensu-plugins-druid".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Druid monitoring plugin".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<json>.freeze, ["~> 1.8.6", ">= 1.8.6"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.49.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<json>.freeze, ["~> 1.8.6", ">= 1.8.6"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.49.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
